Name:      org.tizen.mediahub
Summary:   Media Hub application
Version:   0.2
Release:   1
Group:     Applications/Core Applications
License:   Apache-2.0
Source0:   %{name}-%{version}.tar.gz
Source1:   %{name}.manifest

%define _feature_location_service "DISABLED"

BuildRequires: cmake
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(capi-media-player)
BuildRequires: pkgconfig(capi-ui-efl-util)
%if %{_feature_location_service} == "ENABLED"
BuildRequires: pkgconfig(capi-maps-service)
%endif
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(app-utils)
BuildRequires: pkgconfig(libtzplatform-config)
BuildRequires:  pkgconfig(icu-i18n)

%define _appdir %{TZ_SYS_RO_APP}/%{name}
%define _bindir %{_appdir}/bin
%define _resdir %{_appdir}/res
%define _localedir %{_resdir}/locale
%define _pkgdir %{_datadir}/packages
%define _desktop_icondir %{TZ_SYS_RO_ICONS}

%description
Media Hub Application

%prep
%setup -q
cp %{SOURCE1} .

%build
cmake \
	-DCMAKE_INSTALL_PREFIX=%{_appdir} \
	-DPACKAGE_NAME=%{name} \
	-DBINDIR=%{_bindir} \
	-DLOCALEDIR=%{_localedir} \
	-DPACKAGEDIR=%{_pkgdir} \
	-DDESKTOP_ICONDIR=%{_desktop_icondir} \
	-DDESKTOP_ICON=%{name}.png \
	-DVERSION=%{version}\
	-DFEATURE_LOCATION_SERVICE=%{_feature_location_service}

make %{?jobs:-j%jobs}

%install
%make_install

%clean
rm -rf %{buildroot}

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_bindir}/*
%{_resdir}/*
%{_pkgdir}/%{name}.xml
%{_desktop_icondir}/%{name}.png
%defattr(-,app,app,-)
%{_datarootdir}/license/*
